Package musicbrainz2 :: Module model

[frames] | no frames]

# Module model

source code

The MusicBrainz domain model.

These classes are part of the MusicBrainz domain model. They may be used by other modules and don't contain any network or other I/O code. If you want to request data from the web service, please have a look at musicbrainz2.webservice.

The most important classes, usually acting as entry points, are Artist, Release, and Track.

See Also: musicbrainz2.webservice

Author: Matthias Friedrich <matt@mafr.de>

Classes
| Entity A first-level MusicBrainz class.
| Artist Represents an artist.
| Rating The representation of a MusicBrain rating.
| Tag The representation of a MusicBrainz folksonomy tag.
| Label Represents a record label.
| Release Represents a Release.
| ReleaseGroup Represents a ReleaseGroup.
| Track Represents a track.
| Relation Represents a relation between two Entities.
| ReleaseEvent A release event, indicating where and when a release took place.
| Disc Represents an Audio CD.
| AbstractAlias An abstract super class for all alias classes.
| ArtistAlias Represents an artist alias.
| LabelAlias Represents a label alias.
| User Represents a MusicBrainz user.

Variables
| VARIOUS_ARTISTS_ID = ``'``http://musicbrainz.org/artist/89ad4ac3-3``...`` The ID of the special 'Various Artists' artist.
| NS_MMD_1 = ``'``http://musicbrainz.org/ns/mmd-1.0#``'`` Default namespace prefix for all MusicBrainz metadata.
| NS_REL_1 = ``'``http://musicbrainz.org/ns/rel-1.0#``'`` Namespace prefix for relations.
| NS_EXT_1 = ``'``http://musicbrainz.org/ns/ext-1.0#``'`` Namespace prefix for MusicBrainz extensions.

Variables Details

### VARIOUS_ARTISTS_ID

The ID of the special 'Various Artists' artist.

Value:

      'http://musicbrainz.org/artist/89ad4ac3-39f7-470e-963a-56509c546377'